List Staff URLs
curl --request GET \
--url https://app.papelship.com/api/qpapel/v1/staff-urls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.papelship.com/api/qpapel/v1/staff-urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/staff-urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/staff-urls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/staff-urls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"urls": [
{
"id": 8,
"title": "Moderator URL",
"description": "Keys resetting access for CS2",
"permissions": [
"reset_hwid"
],
"allowed_product_ids": [
12
],
"usage_limit": 10,
"expires_at": "2026-06-30T00:00:00.000Z",
"url_path": "abcde123",
"access_key": "some_secure_access_key",
"is_active": 1
}
]
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}Staff Management
List Staff URLs
Retrieve all active and historical temporary access links created for staff moderators.
GET
/
staff-urls
List Staff URLs
